ALARMD(8)

NAME
alarmd - daemon that provides timed event functionality

SYNOPSIS
alarmd [OPTION]...

DESCRIPTION
alarmd is a daemon that provides timed event functionality for applications to get DBus messages or exec calls at certain times.

Applications register an event happening at certain time. alarmd will then call the application when the event is due, so the application need not be running during this waiting period. This is useful for applications that need to update their status on regular intervals.

A single event may be set to repeat itself over and over again, at given interval. alarmd will remember these events over system shutdowns too.

alarmd can also be asked to start the system up for an event even from poweroff. These events may also prefer to be run in hidden poweron mode, where the display stays off, but the device is on. alarmd also supports usage of osso-systemui-alarm to show an alarm dialog for the event, which can be followed by a power up device confirmation dialog, if the device is in the hidden powerup mode.

Communication with the daemon is done through DBus. It listens on both system and session buses. The easiest way is to use the C client api library, which offers straightforward API to modify the queue. You can also use alarmtool(8), which wraps the functionality of the client library.

OPTIONS

--daemonflag
    Run alarmd as a daemon

--help
    Display help for the command --version Output version information and exit

FILES

/var/run/alarmd.pid
    PID-file used by alarmd.

/var/lib/alarmd/alarm_queue.xml
    The queue file used by alarmd.

/var/lib/alarmd/next_alarm_mode
    Mode of next event that powers the device up; valid values are n/a if there's no powerup event in the queue, actdead if the device should be powered up to the hidden poweron mode and powerup if the device shuold be fully powered up.

/var/lib/alarmd/next_alarm_time
    Time (seconds since epoch) of the next event that powers the device up.

SEE ALSO
alarmtool(8) mce(8)

HISTORY
Oct 3 2006: Initial version of this manual page.

COPYRIGHT
Copyright © 2006 Nokia Corporation.

This is free software; see /usr/share/common-licenses/LGPL-2.1 for license conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.